namespace Models.Model.Backend;

public struct Ip
{
    public int Ip1 { get; set; }
    
    public int Ip2 { get; set; }
    
    public int Ip3 { get; set; }
    
    public int Ip4 { get; set; }
    
    public int ResponseCode { get; set; }
    
    public override string ToString()
    {
        return $"{Ip1}.{Ip2}.{Ip3}.{Ip4}";
    }
    
    public uint PackIp()
    {
        return (uint)(Ip1 << 24) | (uint)(Ip2 << 16) | (uint)(Ip3 << 8) | (uint)Ip4;
    }
}